Subject: MS CWIN 3.0

From: [email-masked]
Date: Mon, 9 Sep 1991 12:10:19 PDT

| From: Yeoh Keung CPHK
 <[email-masked]>
|
| Does any one knows what other application works under this Chinese
| Windows?  I've tried to user Ami-Pro, Page Maker, Excel, MS Word for
| Windows.  But none of it seems to work normally.  I can get any Chinese
| Chararacter inputed using Win-Word and PageMaker, and for the other two
| althought I've got the Chinese Character in but after may be around 30
| Character, the system either hangs the machine or prompt me for a
| abnormal error message and quit the windows by itself.
|
| Can anyone suggest any better applications to use for chinese and
| graphics together?
|
| Thanks in advance.

You should not be surprise. BIG-5 uses double bytes character set and
all the current applications assume that you will just input the normal
single byte character set.

Most of the string functions will not work properly any more. You need
to rewrite a set of string function to handle the double bytes character
set. Otherwise, the string will screw up your internal memory and your
machine will either hangs or give you UAE.

I don't know any other application works under Chinese Window.

| From: Paul Watson
 <[email-masked]>
| > | What input methods are supported?  How similar are the Japanese and
| > | Chinese FEP APIs?
| > |
| > Currently, it comes with 4 input methods: 1. Internal code; 2. PinYin
| > (TAIWAN); 3. ChaJei and 4. Quick method ( a modified version of ChaJei -
| > same as ET ).
|
| Does "internal code" mean entering hex value of Big-5?

YES.

| Does Chinese Windows support Bopomofo input?

No, just taiwan style pinyin.

| From: Yugi Chen <[email-masked]>
|
| can anybody provide more info on chinese windows, or tell me which sources I
|  canget these info. Thanks!

What kind of information do you want? I will try my best to provide it.
Currently, you can only get the product only from Hong Kong or Taiwan.
It is not a free software and you cannot get it from FTP.

A few comments.

1. My project in Microsoft has nothing related to CWIN 3.0. I am just a
normal John Doe user.

2. My opinion is my own, it has nothing to do with my employer.

3. CWIN is a new product. There is still a lot of opportunities for people
to write products to support CWIN. Before CWIN, we don't have a solid
perform to do chinese software development. Now we have it, we should
use this chance to start some R&D and software development for our
follow country men. Illegal software copying is a major problem in
Taiwan and Hong Kong. However, I hope that this will change once more
and more companies develop chinese software in Hong Kong, Taiwan and
China. They will group together to control illegal software copying and
the price of chinese software will also decrease and more people can
afford to buy the software. I really hope that the computer industry in
Taiwan, Hong Kong and China can be benefit from the product.

4. For software developement, you can either use SDK tool kit to write
your WINDOW C program. For easy developement, you can use MS Visual basic
to develop chinese software. Although visual basic also has its own
problem about double bytes character set, it is a quick and easy way to
develop chinese software. I wrote a small database program in just 3
hours.

Terence Kwan
[ My opinions are my own and have nothing watsoever to do with my
empolyer. ]